% (c) 2018-2020 Lehrstuhl fuer Softwaretechnik und Programmiersprachen,
% Heinrich Heine Universitaet Duesseldorf
% This software is licenced under EPL 1.0 (http://www.eclipse.org/org/documents/epl-v10.html)

:- module(prob_startup, [startup_prob/0]).

:- use_module(module_information,[module_info/2]).
:- module_info(group,infrastructure).
:- module_info(description,'General startup code required for all versions of ProB.').

:- use_module(pathes,[set_search_pathes/0]). % called first to set_compile_time_search_pathes
%:- set_search_pathes.
:- use_module(error_manager,[init_error_manager/0]).
%:- use_module(tools,[host_platform/1]).
:- use_module(eventhandling, [announce_event/1]).

startup_prob :- %print(startup_prob),nl,
    set_search_pathes,
    %myheap_init,
    init_error_manager,
    announce_event(startup_prob).
    %init_eclipse_preferences,
