#!/bin/bash

# create JUnit reports when calculating coverage
# running all tests might differ from the test suite used by make test
# to detect, check for errors again

mkdir -p testresults
rm -f testresults/*.xml
echo "<testsuite><testcase name=\"Hudson configuration\" classname=\"Configuration.Hudson\" time=\"0\"></testcase></testsuite>" > testresults/hudson.xml
export PROB_JUNIT_DIR="testresults"
export PROB_JUNIT=" -junit $PROB_JUNIT_DIR"

basepath="./coverage_reports"

rm -rf $basepath

mkdir -p ${basepath}/html/descriptions
mkdir -p ${basepath}/tex/descriptions

now=$(date "+%Y-%m-%d")

sicstus -l src/prob_cov.pl --goal "generate_report($now,descriptions), halt ; halt".
