% (c) 2015 Lehrstuhl fuer Softwaretechnik und Programmiersprachen,
% Heinrich Heine Universitaet Duesseldorf
% This software is licenced under EPL 1.0 (http://www.eclipse.org/org/documents/epl-v10.html)

:- module(smt_common_predicates, [is_smt_temp_var/1]).

:- use_module(probsrc(module_information),[module_info/2]).
:- module_info(group,smt_solvers).
:- module_info(description,'Shared Predicates used by several Modules belonging to the SMT Solvers Integration.').

:- use_module(library(lists), [prefix/2]).

is_smt_temp_var(b(identifier(Name),_,_)) :-
    atom_codes(Name,Codes),
    prefix(Codes,"_smt_tmp").
